org.apache.sysds.runtime.codegen

## Class SpoofCUDARowwise

- java.lang.Object
- - org.apache.sysds.runtime.codegen.SpoofOperator
  - - org.apache.sysds.runtime.codegen.SpoofRowwise
    - - org.apache.sysds.runtime.codegen.SpoofCUDARowwise

All Implemented Interfaces:
  Serializable, SpoofCUDAOperator

    public class SpoofCUDARowwise
    extends SpoofRowwise
    implements SpoofCUDAOperator

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.codegen.SpoofRowwise

`SpoofRowwise.RowType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.codegen.SpoofOperator

`SpoofOperator.SideInput, SpoofOperator.SideInputSparseCell, SpoofOperator.SideInputSparseRow`

### Nested classes/interfaces inherited from interface org.apache.sysds.runtime.codegen.SpoofCUDAOperator

`SpoofCUDAOperator.PrecisionProxy`

### Field Summary

### Fields inherited from interface org.apache.sysds.runtime.codegen.SpoofCUDAOperator

`JNI_MAT_ENTRY_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SpoofCUDARowwise(SpoofRowwise.RowType type, long constDim2, boolean tB1, int reqVectMem, int id, SpoofCUDAOperator.PrecisionProxy ep)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static int` `execute_d(long ctx, long[] meta, long[] in, long[] sides, long[] out, long scalars)`
`int` `execute_dp(long ctx, long[] meta, long[] in, long[] sides, long[] out, long scalars)`
`static int` `execute_f(long ctx, long[] meta, long[] in, long[] sides, long[] out, long scalars)`
`int` `execute_sp(long ctx, long[] meta, long[] in, long[] sides, long[] out, long scalars)`
`ScalarObject` `execute(ExecutionContext ec, ArrayList<MatrixObject> inputs, ArrayList<ScalarObject> scalarObjects)`
`MatrixObject` `execute(ExecutionContext ec, ArrayList<MatrixObject> inputs, ArrayList<ScalarObject> scalarObjects, String outputName)`
`String` `getName()`
`jcuda.Pointer` `getScalarPtr()`
`void` `releaseScalarGPUMemory(ExecutionContext ec)`
`void` `setScalarPtr(jcuda.Pointer _ptr)`

### Methods inherited from class org.apache.sysds.runtime.codegen.SpoofRowwise

`createCUDAInstrcution, execute, execute, execute, execute, getConstDim2, getNumIntermediates, getRowType, getSpoofType, hasMatrixObjectSideInput, hasMatrixSideInput`

### Methods inherited from class org.apache.sysds.runtime.codegen.SpoofOperator

`execute, getDenseMatrices, getTotalInputNnz, getTotalInputSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.codegen.SpoofCUDAOperator

`prepareInputPointers, prepareOutputPointers, prepareSideInputPointers`

### Constructor Detail

#### SpoofCUDARowwise

    public SpoofCUDARowwise(SpoofRowwise.RowType type,
                            long constDim2,
                            boolean tB1,
                            int reqVectMem,
                            int id,
                            SpoofCUDAOperator.PrecisionProxy ep)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `SpoofCUDAOperator`

#### setScalarPtr

    public void setScalarPtr(jcuda.Pointer _ptr)

Specified by:
  `setScalarPtr` in interface `SpoofCUDAOperator`

#### getScalarPtr

    public jcuda.Pointer getScalarPtr()

Specified by:
  `getScalarPtr` in interface `SpoofCUDAOperator`

#### releaseScalarGPUMemory

    public void releaseScalarGPUMemory(ExecutionContext ec)

Specified by:
  `releaseScalarGPUMemory` in interface `SpoofCUDAOperator`

#### execute

    public ScalarObject execute(ExecutionContext ec,
                                ArrayList<MatrixObject> inputs,
                                ArrayList<ScalarObject> scalarObjects)

Specified by:
  `execute` in interface `SpoofCUDAOperator`

#### execute

    public MatrixObject execute(ExecutionContext ec,
                                ArrayList<MatrixObject> inputs,
                                ArrayList<ScalarObject> scalarObjects,
                                String outputName)

Specified by:
  `execute` in interface `SpoofCUDAOperator`

#### execute_sp

    public int execute_sp(long ctx,
                          long[] meta,
                          long[] in,
                          long[] sides,
                          long[] out,
                          long scalars)

Specified by:
  `execute_sp` in interface `SpoofCUDAOperator`

#### execute_dp

    public int execute_dp(long ctx,
                          long[] meta,
                          long[] in,
                          long[] sides,
                          long[] out,
                          long scalars)

Specified by:
  `execute_dp` in interface `SpoofCUDAOperator`

#### execute_f

    public static int execute_f(long ctx,
                                long[] meta,
                                long[] in,
                                long[] sides,
                                long[] out,
                                long scalars)

#### execute_d

    public static int execute_d(long ctx,
                                long[] meta,
                                long[] in,
                                long[] sides,
                                long[] out,
                                long scalars)